## GtkNoSelection GtkNoSelection — A selection model that does not allow selecting anything |

## Functions

GtkNoSelection * | gtk_no_selection_new ()
GListModel * | gtk_no_selection_get_model ()

## Properties

GListModel * | model | Read / Write / Construct Only

## Types and Values

| GtkNoSelection

## Object Hierarchy

        GObject
        ╰── GtkNoSelection

## Implemented Interfaces

GtkNoSelection implements GListModel and GtkSelectionModel.

## Includes

    #include <gtk/gtk.h>

## Description

GtkNoSelection is an implementation of the GtkSelectionModel interface that does not allow selecting anything.

This model is meant to be used as a simple wrapper to GListModels when a GtkSelectionModel is required.

## Functions

### gtk_no_selection_new ()

    GtkNoSelection *
    gtk_no_selection_new (GListModel *model);

Creates a new selection to handle `model` .

#### Parameters

model | the GListModel to manage. | [transfer none]

#### Returns

a new GtkNoSelection.

[transfer full][type GtkNoSelection]

### gtk_no_selection_get_model ()

    GListModel *
    gtk_no_selection_get_model (GtkNoSelection *self);

Gets the model that `self` is wrapping.

#### Parameters

self | a GtkNoSelection |

#### Returns

The model being wrapped.

[transfer none]

## Types and Values

### GtkNoSelection

    typedef struct _GtkNoSelection GtkNoSelection;

## Property Details

### The `“model”` property

      “model”                    GListModel *

The model being managed

Owner: GtkNoSelection

Flags: Read / Write / Construct Only

## See Also

GtkSelectionModel